## kball 0.0.20041216

=== debian/changelog ===
kball (0.0.20041216-8ubuntu1) saucy; urgency=low

  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 13:46:18 -0600

kball (0.0.20041216-8build1) quantal; urgency=low

  * Rebuild for liballegro4.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Aug 2012 14:59:57 +0100

kball (0.0.20041216-8) unstable; urgency=low

  * Team upload.
  * Include sys/stat.h in 06_homedir_game.patch and 07_homedir_editor.patch.
    Closes: #624978

 -- Evgeni Golov <evgeni@debian.org>  Sat, 07 May 2011 15:53:36 +0200

kball (0.0.20041216-7) unstable; urgency=low

  * Team upload.
  * Use source format 3.0 (quilt).
  * Fix compilation with GCC 4.5. (Closes: #565011)
    + new patch: gcc-4.5.patch
  * debian/control: Add ${misc:Depends}.
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Mar 2011 15:33:17 +0100

kball (0.0.20041216-6) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * 08_dont_strip.patch - Remove -s from LDFLAGS. (Closes: #437246).
  * 09_keypad_enter.patch - Allow keypad enter to select. (Closes: #501844).
  * Improve clean target. (Wasn't removing .o files).
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Mon, 06 Apr 2009 20:52:28 -0400

kball (0.0.20041216-5) unstable; urgency=low

  [ Miriam Ruiz ]
  * Modified building system for using quilt.
  * Upgraded standards version to 3.8.0.
    + Menu policy transition.

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Barry deFreese ]
  * Add desktop file
  * Call dh_desktop
  * Add Homepage field in control
  * Bump debhelper build-dep to match compat
  * Make clean not ignore errors
  * Fix substvar source:Version

  [ Gerfried Fuchs ]
  * Fixed watch file including mangling of upstream version

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 26 Jul 2008 18:10:19 +0200

kball (0.0.20041216-4) unstable; urgency=low

  * Fixed broken debian/watch file added in -3.
  * Updated control to depend on data >= instead of = version.

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 10 Jan 2006 14:28:22 +0100

kball (0.0.20041216-3) unstable; urgency=low

  * Removed circular dependency between kball and kball-data.
  * Automatic fallback to windowed mode. Thanks to Idan Sofer
    <idan@idanso.dyndns.org> for the patch. Closes: #313033.
  * Ending screen should not block user now. Thanks to Idan Sofer
    <idan@idanso.dyndns.org> for the patch. Closes: #311372.
  * Modified dependencies.
  * Reduced optimisation level to -O2 according to suggestion in #323388.
  * Upgraded standards version to 3.6.2
  * Dirty Hack: Replaced fixed by int32_t in mapped_sphere_ex (sphermap.cpp),
    because otherwise I get an invalid conversion from 'long int*' to 'fixed*'
  * Added Watch file for uscan.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 16 Dec 2005 21:05:10 +0100

kball (0.0.20041216-2) unstable; urgency=low

  * Update due to changes in the way xlibs-static-* packages are handled.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun,  3 Jul 2005 18:52:48 +0000

kball (0.0.20041216-1) unstable; urgency=low

  * Initial Release. Closes: #311080.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat,  2 Apr 2005 19:59:43 +0000
