=== debian/control ===
Source: kball
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 5.0.0), libxxf86dga-dev, libxxf86vm-dev, liballegro4-dev | liballegro-dev, libdumb1-dev, libaldmb1-dev, sharutils, libxcursor-dev
Standards-Version: 3.9.1
Homepage: http://kball.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/kball/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/kball/?op=log

Package: kball
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kball-data (>= ${source:Version})
Description: game of skill and reflexes for all the family
 A game of skill and reflexes, non violent, suitable for all ages. The idea
 is to move the ball around the map, without falling, without running out of
 time, and getting the prizes, in order to reach the exit. The main feature
 of the game is the built-in map editor, so anybody can make their own maps.

Package: kball-data
Architecture: all
Depends: ${misc:Depends}
Description: game of skill and reflexes for all the family - data files
 A game of skill and reflexes, non violent, suitable for all ages. The idea
 is to move the ball around the map, without falling, without running out of
 time, and getting the prizes, in order to reach the exit. The main feature
 of the game is the built-in map editor, so anybody can make their own maps.
 .
 This package includes the data of the game.
