=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f target.os ] || $(MAKE) clean

	find ./ -name "*.o" -delete

	dh_clean 

install-indep:
	dh_installdirs -i usr/share/games/kball
	dh_install -i bin/*.dat usr/share/games/kball
	dh_installdirs -i usr/share/games/kball/levels
	dh_install -i bin/levels/*.map usr/share/games/kball/levels
	dh_install -i bin/levels/*.fmp usr/share/games/kball/levels
	dh_installdirs -i usr/share/doc/kball-data
	dh_install -i doc/manual/*.pdf usr/share/doc/kball-data
	uudecode -o debian/kball-data/usr/share/doc/kball-data/kball_manual_en.sxw < debian/doc/kball_manual_en.sxw.uu
	uudecode -o debian/kball-data/usr/share/doc/kball-data/kball_manual_es.sxw < debian/doc/kball_manual_es.sxw.uu

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -a -k

	dh_installdirs -a usr/games
	dh_install -a bin/kball_linux.bin usr/games
	mv debian/kball/usr/games/kball_linux.bin debian/kball/usr/games/kball

	dh_installdirs -a usr/share/pixmaps
	dh_install -a debian/kball.xpm usr/share/pixmaps

	dh_installdirs -a usr/share/applications
	dh_install -a debian/kball.desktop usr/share/applications

install: install-arch install-indep

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_link -a usr/share/doc/kball-data usr/share/doc/kball
	dh_installmenu -a
	dh_installman -a debian/kball.6
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean install-indep install-arch install binary-indep \
	binary-arch binary configure
