=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# 16dec2004 --> 0.0.20041216

opts="uversionmangle=s/(\d{2})([a-z]{3})(\d{4})/0.0.$3$2$1/;s/jan/01/;s/feb/02/;s/mar/03/;s/apr/04/;s/may/05/;s/jun/06/;s/jul/07/;s/aug/08/;s/sep/09/;s/oct/10/;s/nov/11/;s/dec/12/" \
http://sf.net/kball/kball_final_src_(.*)\.tar\.gz
